#!/bin/bash
set -aex
recordingsdir=${recordingsdir:-"/var/lib/mythtv/recordings/"}
rm=${rm:-"/bin/rm -f"}
cutoff=$(date --date='-2 weeks' +%s)
echo cutoff is $cutoff 

cd "$recordingsdir"
cleanables=$(for f in *mkv; do ls ${f/.mkv/}.{ts,mpg,ts.png,mpg.png} 2>/dev/null; done | sed 's/\n/ /g;')

d=0
for f in ${cleanables}; do
    Z=$(stat --format="%Z" $f)
    if test $Z -lt $cutoff; then
	$rm $f
	d=$((d+1))
    fi
done

echo Deleted $d files. Done.
